#!/bin/sh

# $Id: uninstall.sh,v 1.2 2005/09/21 02:08:43 phaddad Exp $

PRODUCT="DeathAdderBlackEdition"
PRODUCT_NAME="DeathAdder Black Edition"

# removes all installed components, including prefs file, resulting from a Razer DeathAdder v1.0 install
# note this does not remove the SystemLoginItem entry in the system prefs

clear

echo ""
echo "This script removes resources installed with Razer ${PRODUCT_NAME}."
echo "You may need to enter your administrator password to continue."
echo "It is needed to remove a system extension and preference pane."
echo ""

# driver
if [ -d /System/Library/Extensions/Razer${PRODUCT}Driver.kext/ ]; then
    sudo rm -r /System/Library/Extensions/Razer${PRODUCT}Driver.kext
    echo "Removed ${PRODUCT_NAME} kernel extension"
else
    echo "${PRODUCT_NAME} kernel extension was not found... continue"
fi


# daemon
if [ -d "/Library/Application Support/Razer/Razer${PRODUCT}Daemon.app" ] || [ -d /Library/PrivilegedHelperTools/Razer${PRODUCT}Daemon.app ]; then
    if [ -d "/Library/Application Support/Razer/Razer${PRODUCT}Daemon.app" ]; then
    	sudo rm -r "/Library/Application Support/Razer/Razer${PRODUCT}Daemon.app"
    	echo "Removed ${PRODUCT_NAME} daemon"
    fi
    if [ -d /Library/PrivilegedHelperTools/Razer${PRODUCT}Daemon.app ]; then
    	sudo rm -r /Library/PrivilegedHelperTools/Razer${PRODUCT}Daemon.app
    	echo "Removed ${PRODUCT_NAME} daemon"
        if [ -f /Library/LaunchAgents/com.razer.${PRODUCT}.Daemon.plist ]; then
            sudo rm /Library/LaunchAgents/com.razer.${PRODUCT}.Daemon.plist
            echo "Removed ${PRODUCT_NAME} launchd agent"
        fi
    fi
else
    echo "${PRODUCT_NAME} daemon was not found... continue"
fi


# application
if [ -d "/Applications/Razer ${PRODUCT_NAME}.app" ]; then
    sudo rm -r "/Applications/Razer ${PRODUCT_NAME}.app"
    echo "Removed ${PRODUCT_NAME} settings application"
else
    echo "${PRODUCT_NAME} settings application was not found... continue"
fi


# prefs file
if [ -f ~/Library/Preferences/com.razer.${PRODUCT}.plist ]; then
    rm -f ~/Library/Preferences/com.razer.${PRODUCT}.plist
    echo "Removed ${PRODUCT_NAME} preference file"
else
    echo "${PRODUCT_NAME} preference file was not found... continue"
fi


# remove receipt
sudo rm -rf "/Library/Receipts/Razer${PRODUCT}"*
sudo rm -rf /private/var/db/receipts/com.razer.pkg.${PRODUCT}.*

# uninstaller
if [ -f /Applications/Utilities/Razer${PRODUCT}Uninstaller.command ]; then
    sudo rm -r /Applications/Utilities/Razer${PRODUCT}Uninstaller.command
    echo "Removed ${PRODUCT_NAME} uninstaller"
else
    echo "${PRODUCT_NAME} uninstaller was not found... continue"
fi



echo ""
echo "Razer ${PRODUCT_NAME} uninstall complete!"
echo ""
echo "It is recommended that you reboot after uninstalling ${PRODUCT_NAME}."
echo "Do you want to reboot now? (yes or no)"
echo ""

read reboot

if [ $reboot = "yes" ] || [ $reboot = "y" ]; then
	sudo reboot
fi
